<?php

final class ExtensionStoreExtensionNewReleaseController
  extends ExtensionStoreBaseController {

    use ExtensionStoreExtensionControllerTrait;

    public function handleRequest(AphrontRequest $request) {
      $extension = $this->findExtension($request);
      if (!$extension) {
        return new Aphront404Response();
      }

      if (!$extension) {
        return new Aphront404Response();
      }

      return id(new ExtensionStoreReleaseEditEngine())
        ->setExtension($extension)
        ->setController($this)
        ->buildResponse();
  }
}
